<div class="mt-4 col-8 offset-2">
	<div class="card">
		<div class="card-header">Login</div>
		<div class="card-body">
			<form #loginForm=ngForm (ngSubmit)='onSubmit()'>
				<div class="alert alert-danger" [hidden]='!error'>
					{{ error }}
				</div>
			  <div class="form-group row">
			    <label for="inputEmail3" class="col-sm-2 col-form-label">Email</label>
			    <div class="col-sm-10">
			      <input type="email"  name='email' class="form-control" id="inputEmail3" placeholder="Email" [(ngModel)]="formLogin.email" required>
			    </div>
			  </div>
			  <div class="form-group row">
			    <label for="inputPassword3" class="col-sm-2 col-form-label">Password</label>
			    <div class="col-sm-10">
			      <input type="password" name='password' class="form-control" id="inputPassword3" placeholder="Password" [(ngModel)]="formLogin.password" required>
			    </div>
			  </div>

			  <div class="form-group row">
			    <div class="col-10 offset-2">
			    	<a routerLink='/singup' class="btn btn-info">Registro</a> 
			      <button type="submit" class="float-right btn btn-primary" [disabled]="!loginForm.valid">Inicio de session</button>
			    </div>
			  </div>
			  <small class='float-right'>
			  	<a routerLink="/request-password-reset">Reset password</a>
			  </small>
			</form>
		</div>
	</div>
</div>